package main

import (
	"io"
)

// Вам надо написать более быструю и оптимальную версию функции SlowSearch.
// Копируйте из той функции код сюда, в FastSearch и начинайте его оптимизировать.
// Чаще запускайте тесты, чтобы удостовериться в том, что вы ничего не сломали.

func FastSearch(out io.Writer) {
	SlowSearch(out)
}
